<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'create_view' %}"> Create a New List</a>
            </p>
            <p>
                Create a New Item
            </p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in lists %}
                    <tr>
                        <td>
                            <a href="{% url 'detail_view' list.id %}"> {{ list.name }} </a>
                        </td>
                        <td>{{ list.items.all|length }}</td>

                    </tr>
                    {% endfor %}

                </tbody>
            </table>
        </div>
    </main>


</body>

</html>
